Index: plugins/akismet/class.dc.filter.akismet.php
===================================================================
--- plugins/akismet/class.dc.filter.akismet.php	(revision 270)
+++ plugins/akismet/class.dc.filter.akismet.php	(revision 536)
@@ -136,5 +136,5 @@
 		
 		$res =
-		'<form action="'.html::escapeURL($url).'" method="post">'.
+		'<form action="'.html::escapeURL($url).'" method="post" class="fieldset">'.
 		'<p><label for="ak_key" class="classic">'.__('Akismet API key:').' '.
 		form::field('ak_key',12,128,$ak_key).'</label>';
Index: plugins/antispam/filters/class.dc.filter.ip.php
===================================================================
--- plugins/antispam/filters/class.dc.filter.ip.php	(revision 270)
+++ plugins/antispam/filters/class.dc.filter.ip.php	(revision 536)
@@ -123,8 +123,7 @@
 		'<div class="multi-part" id="tab_'.$type.'" title="'.$title.'">'.
 
-		'<form action="'.html::escapeURL($url).'" method="post">'.
-		'<fieldset><legend>'.__('Add an IP address').'</legend><p>'.
+		'<form action="'.html::escapeURL($url).'" method="post" class="fieldset">'.
 		form::hidden(array('ip_type'),$type).
-		'<label class="classic" for="addip_'.$type.'">'.__('Add an IP address').' '.
+		'<label class="classic" for="addip_'.$type.'">'.__('Add an IP address: ').' '.
 		form::field(array('addip', 'addip_'.$type),18,255).
 		'</label>';
@@ -136,6 +135,7 @@
 		$res .=
 		$core->formNonce().
-		'<input type="submit" value="'.__('Add').'"/></p>'.
-		'</fieldset></form>';
+		'</p>'.
+		'<p><input type="submit" value="'.__('Add').'"/></p>'.
+		'</form>';
 
 		$rs = $this->getRules($type);
@@ -149,5 +149,5 @@
 			$res .=
 			'<form action="'.html::escapeURL($url).'" method="post">'.
-			'<fieldset><legend>' . __('IP list') . '</legend>'.
+			'<h3>' . __('IP list') . '</h3>'.
 			'<div style="'.$this->style_list.'">';
 
@@ -178,5 +178,5 @@
 			form::hidden(array('ip_type'),$type).
 			'</p>'.
-			'</fieldset></form>';
+			'</form>';
 		}
 
Index: plugins/antispam/filters/class.dc.filter.iplookup.php
===================================================================
--- plugins/antispam/filters/class.dc.filter.iplookup.php	(revision 270)
+++ plugins/antispam/filters/class.dc.filter.iplookup.php	(revision 536)
@@ -86,5 +86,6 @@
 		'<p><label for="bls">'.__('Add here a coma separated list of servers.').
 		form::textarea('bls',40,3,html::escapeHTML($bls),'maximal').
-		'<input type="submit" value="'.__('Save').'" /></label></p>'.
+		'</p>'.
+		'<p><input type="submit" value="'.__('Save').'" /></label></p>'.
 		$this->core->formNonce().'</p>'.
 		'</fieldset>'.
Index: plugins/antispam/filters/class.dc.filter.words.php
===================================================================
--- plugins/antispam/filters/class.dc.filter.words.php	(revision 270)
+++ plugins/antispam/filters/class.dc.filter.words.php	(revision 536)
@@ -119,7 +119,6 @@
 
 		$res .=
-		'<form action="'.html::escapeURL($url).'" method="post">'.
-		'<fieldset><legend>'.__('Add a word').'</legend>'.
-		'<p><label class="classic" for="swa">'.__('Add a word').' '.form::field('swa',20,128).'</label>';
+		'<form action="'.html::escapeURL($url).'" method="post" class="fieldset">'.
+		'<p><label class="classic" for="swa">'.__('Add a word ').' '.form::field('swa',20,128).'</label>';
 
 		if ($core->auth->isSuperAdmin()) {
@@ -130,6 +129,6 @@
 		$res .=
 		$core->formNonce().
-		'<input type="submit" value="'.__('Add').'"/></p>'.
-		'</fieldset>'.
+		'</p>'.
+		'<p><input type="submit" value="'.__('Add').'"/></p>'.
 		'</form>';
 
@@ -142,6 +141,6 @@
 		{
 			$res .=
-			'<form action="'.html::escapeURL($url).'" method="post">'.
-			'<fieldset><legend>' . __('List') . '</legend>'.
+			'<form action="'.html::escapeURL($url).'" method="post" class="fieldset">'.
+			'<h3>' . __('List of bad words') . '</h3>'.
 			'<div style="'.$this->style_list.'">';
 
@@ -167,5 +166,5 @@
 			$core->formNonce().
 			'<input class="submit delete" type="submit" value="' . __('Delete selected words') . '"/></p>'.
-			'</fieldset></form>';
+			'</form>';
 		}
 
Index: plugins/antispam/index.php
===================================================================
--- plugins/antispam/index.php	(revision 500)
+++ plugins/antispam/index.php	(revision 565)
@@ -110,10 +110,9 @@
 <body>
 <?php
-echo '<h2>'.html::escapeHTML($core->blog->name).' &rsaquo; <span class="page-title">'.$page_name.'</span></h2>';
 
 if ($filter_gui !== false)
 {
-	echo '<p><a href="'.$p_url.'">'.__('Return to filters').'</a></p>';
-	printf('<h3>'.__('%s configuration').'</h3>',$filter->name);
+	echo '<h2>'.html::escapeHTML($core->blog->name).' &rsaquo; <a href="'.$p_url.'">'.$page_name.'</a>'.
+		' &rsaquo; <span class="page-title">'.sprintf(__('%s configuration'),$filter->name).'</span></h2>';
 
 	echo $filter_gui;
@@ -121,4 +120,6 @@
 else
 {
+	echo '<h2>'.html::escapeHTML($core->blog->name).' &rsaquo; <span class="page-title">'.$page_name.'</span></h2>';
+
 	# Information
 	$spam_count = dcAntispam::countSpam($core);
@@ -127,6 +128,6 @@
 
 	echo
-	'<form action="'.$p_url.'" method="post">'.
-	'<fieldset><legend>'.__('Information').'</legend>';
+	'<form action="'.$p_url.'" method="post" class="fieldset">'.
+	'<h3>'.__('Information').'</h3>';
 
 	if (!empty($_GET['del'])) {
@@ -150,13 +151,14 @@
 	}
 	if ($moderationTTL != null && $moderationTTL >=0) {
-		echo '<p>'.sprintf(__('All spam comments older than %s day(s) will be automatically deleted.'), $moderationTTL).'</p>';
-	}
-	echo '</fieldset></form>';
+		echo '<p>'.sprintf(__('All spam comments older than %s day(s) will be automatically deleted.'), $moderationTTL).' '.
+		__('You can modify this duration in ').
+		'<a href="blog_pref.php"> '.__('Blog preferences').'</a></p>';
+	}
+	echo '</form>';
 
 
 	# Filters
 	echo
-	'<form action="'.$p_url.'" method="post">'.
-	'<fieldset><legend>'.__('Available spam filters').'</legend>';
+	'<form action="'.$p_url.'" method="post" class="fieldset">';
 
 	if (!empty($_GET['upd'])) {
@@ -166,4 +168,5 @@
 	echo
 	'<table class="dragable">'.
+	'<caption>'.__('Available spam filters').'</caption>'.
 	'<thead><tr>'.
 	'<th>'.__('Order').'</th>'.
@@ -191,5 +194,5 @@
 		'<td class="nowrap">'.form::checkbox(array('filters_active[]'),$fid,$f->active, '', '', false, 'title="'.__('Active').'"').'</td>'.
 		'<td class="nowrap">'.form::checkbox(array('filters_auto_del[]'),$fid,$f->auto_delete, '', '', false, 'title="'.__('Auto Del.').'"').'</td>'.
-		'<td class="nowrap">'.$f->name.'</td>'.
+		'<td class="nowrap" scope="raw">'.$f->name.'</td>'.
 		'<td class="maximal">'.$f->description.'</td>'.
 		'<td class="status">'.$gui_link.'</td>'.
@@ -202,5 +205,5 @@
 	$core->formNonce().
 	'<input type="submit" name="filters_upd" value="'.__('Save').'" /></p>'.
-	'</fieldset></form>';
+	'</form>';
 
 
@@ -212,10 +215,9 @@
 
 		echo
-		'<fieldset><legend>'.__('Syndication').'</legend>'.
+		'<h3>'.__('Syndication').'</h3>'.
 		'<ul class="spaminfo">'.
 		'<li class="feed"><a href="'.$spam_feed.'">'.__('Junk comments RSS feed').'</a></li>'.
 		'<li class="feed"><a href="'.$ham_feed.'">'.__('Published comments RSS feed').'</a></li>'.
-		'</ul>'.
-		'</fieldset>';
+		'</ul>';
 	}
 }
@@ -224,3 +226,2 @@
 </body>
 </html>
-
Index: plugins/blogroll/index.php
===================================================================
--- plugins/blogroll/index.php	(revision 500)
+++ plugins/blogroll/index.php	(revision 557)
@@ -355,5 +355,5 @@
 	'<p>'.form::hidden(array('p'),'blogroll').
 	$core->formNonce().
-	'<input type="submit" name="import_links" value="'.__('import').'" /></p>'.
+	'<input type="submit" name="import_links" value="'.__('Import').'" /></p>'.
 	'</fieldset>'.
 	'</form>';
@@ -398,6 +398,6 @@
 		form::hidden(array('p'),'blogroll').
 		$core->formNonce().
-		'<input type="submit" name="cancel_import" value="'.__('cancel').'" />&nbsp;'.
-		'<input type="submit" name="import_links_do" value="'.__('import').'" /></p>'.
+		'<input type="submit" name="cancel_import" value="'.__('Cancel').'" />&nbsp;'.
+		'<input type="submit" name="import_links_do" value="'.__('Import').'" /></p>'.
 		'</div>';
 	}
Index: plugins/blowupConfig/_public.php
===================================================================
--- plugins/blowupConfig/_public.php	(revision 295)
+++ plugins/blowupConfig/_public.php	(revision 270)
@@ -25,20 +25,20 @@
 		echo '<style type="text/css">'."\n".self::blowUpStyleHelper()."\n</style>\n";
 	}
-
+	
 	public static function blowUpStyleHelper()
 	{
 		$s = $GLOBALS['core']->blog->settings->themes->blowup_style;
-
+		
 		if ($s === null) {
 			return;
 		}
-
+		
 		$s = @unserialize($s);
 		if (!is_array($s)) {
 			return;
 		}
-
+		
 		$css = array();
-
+		
 		/* Sidebar position
 		---------------------------------------------- */
@@ -48,16 +48,16 @@
 			$css['#sidebar']['float'] = 'left';
 		}
-
+		
 		/* Properties
 		---------------------------------------------- */
 		self::prop($css,'body','background-color',$s['body_bg_c']);
-
+		
 		self::prop($css,'body','color',$s['body_txt_c']);
 		self::prop($css,'.post-tags li a:link, .post-tags li a:visited, .post-info-co a:link, .post-info-co a:visited','color',$s['body_txt_c']);
 		self::prop($css,'#page','font-size',$s['body_txt_s']);
 		self::prop($css,'body','font-family',blowupConfig::fontDef($s['body_txt_f']));
-
+		
 		self::prop($css,'.post-content, .post-excerpt, #comments dd, #pings dd, dd.comment-preview','line-height',$s['body_line_height']);
-
+		
 		if (!$s['blog_title_hide'])
 		{
@@ -65,10 +65,10 @@
 			self::prop($css,'#top h1','font-size',$s['blog_title_s']);
 			self::prop($css,'#top h1','font-family',blowupConfig::fontDef($s['blog_title_f']));
-
+			
 			if ($s['blog_title_a'] == 'right' || $s['blog_title_a'] == 'left') {
 				$css['#top h1'][$s['blog_title_a']] = '0px';
 				$css['#top h1']['width'] = 'auto';
 			}
-
+			
 			if ($s['blog_title_p'])
 			{
@@ -92,13 +92,13 @@
 		}
 		self::prop($css,'#top','height',$s['top_height']);
-
+		
 		self::prop($css,'.day-date','color',$s['date_title_c']);
 		self::prop($css,'.day-date','font-family',blowupConfig::fontDef($s['date_title_f']));
 		self::prop($css,'.day-date','font-size',$s['date_title_s']);
-
+		
 		self::prop($css,'a','color',$s['body_link_c']);
 		self::prop($css,'a:visited','color',$s['body_link_v_c']);
 		self::prop($css,'a:hover, a:focus, a:active','color',$s['body_link_f_c']);
-
+		
 		self::prop($css,'#comment-form input, #comment-form textarea','color',$s['body_link_c']);
 		self::prop($css,'#comment-form input.preview','color',$s['body_link_c']);
@@ -108,21 +108,21 @@
 		self::prop($css,'#comment-form input.submit:hover','background',$s['body_link_f_c']);
 		self::prop($css,'#comment-form input.submit:hover','border-color',$s['body_link_f_c']);
-
+		
 		self::prop($css,'#sidebar','font-family',blowupConfig::fontDef($s['sidebar_text_f']));
 		self::prop($css,'#sidebar','font-size',$s['sidebar_text_s']);
 		self::prop($css,'#sidebar','color',$s['sidebar_text_c']);
-
+		
 		self::prop($css,'#sidebar h2','font-family',blowupConfig::fontDef($s['sidebar_title_f']));
 		self::prop($css,'#sidebar h2','font-size',$s['sidebar_title_s']);
 		self::prop($css,'#sidebar h2','color',$s['sidebar_title_c']);
-
+		
 		self::prop($css,'#sidebar h3','font-family',blowupConfig::fontDef($s['sidebar_title2_f']));
 		self::prop($css,'#sidebar h3','font-size',$s['sidebar_title2_s']);
 		self::prop($css,'#sidebar h3','color',$s['sidebar_title2_c']);
-
+		
 		self::prop($css,'#sidebar ul','border-top-color',$s['sidebar_line_c']);
 		self::prop($css,'#sidebar li','border-bottom-color',$s['sidebar_line_c']);
 		self::prop($css,'#topnav ul','border-bottom-color',$s['sidebar_line_c']);
-
+		
 		self::prop($css,'#sidebar li a','color',$s['sidebar_link_c']);
 		self::prop($css,'#sidebar li a:visited','color',$s['sidebar_link_v_c']);
@@ -132,17 +132,17 @@
 		self::prop($css,'#search .submit:hover','background',$s['sidebar_link_f_c']);
 		self::prop($css,'#search .submit:hover','border-color',$s['sidebar_link_f_c']);
-
+		
 		self::prop($css,'.post-title','color',$s['post_title_c']);
 		self::prop($css,'.post-title a, .post-title a:visited','color',$s['post_title_c']);
 		self::prop($css,'.post-title','font-family',blowupConfig::fontDef($s['post_title_f']));
 		self::prop($css,'.post-title','font-size',$s['post_title_s']);
-
+		
 		self::prop($css,'#comments dd','background-color',$s['post_comment_bg_c']);
 		self::prop($css,'#comments dd','color',$s['post_comment_c']);
 		self::prop($css,'#comments dd.me','background-color',$s['post_commentmy_bg_c']);
 		self::prop($css,'#comments dd.me','color',$s['post_commentmy_c']);
-
+		
 		self::prop($css,'#prelude, #prelude a','color',$s['prelude_c']);
-
+		
 		self::prop($css,'#footer p','background-color',$s['footer_bg_c']);
 		self::prop($css,'#footer p','color',$s['footer_c']);
@@ -150,5 +150,5 @@
 		self::prop($css,'#footer p','font-family',blowupConfig::fontDef($s['footer_f']));
 		self::prop($css,'#footer p a','color',$s['footer_l_c']);
-
+		
 		/* Images
 		------------------------------------------------------ */
@@ -164,5 +164,5 @@
 		self::backgroundImg($css,'#comments dt.me',$s['post_commentmy_bg_c'],'commentmy-t.png');
 		self::backgroundImg($css,'#comments dd.me',$s['post_commentmy_bg_c'],'commentmy-b.png');
-
+		
 		$res = '';
 		foreach ($css as $selector => $values) {
@@ -173,10 +173,7 @@
 			$res .= "}\n";
 		}
-
-		$res .= $s['extra_css'];
-
 		return $res;
 	}
-
+	
 	protected static function prop(&$css,$selector,$prop,$value)
 	{
@@ -185,5 +182,5 @@
 		}
 	}
-
+	
 	protected static function backgroundImg(&$css,$selector,$value,$image)
 	{
Index: plugins/blowupConfig/index.php
===================================================================
--- plugins/blowupConfig/index.php	(revision 503)
+++ plugins/blowupConfig/index.php	(revision 500)
@@ -24,14 +24,14 @@
 	'body_bg_c' => null,
 	'body_bg_g' => 'light',
-
+	
 	'body_txt_f' => null,
 	'body_txt_s' => null,
 	'body_txt_c' => null,
 	'body_line_height' => null,
-
+	
 	'top_image' => 'default',
 	'top_height' => null,
 	'uploaded' => null,
-
+	
 	'blog_title_hide' => null,
 	'blog_title_f' => null,
@@ -40,9 +40,9 @@
 	'blog_title_a' => null,
 	'blog_title_p' => null,
-
+	
 	'body_link_c' => null,
 	'body_link_f_c' => null,
 	'body_link_v_c' => null,
-
+	
 	'sidebar_position' => null,
 	'sidebar_text_f' => null,
@@ -59,9 +59,9 @@
 	'sidebar_link_f_c' => null,
 	'sidebar_link_v_c' => null,
-
+	
 	'date_title_f' => null,
 	'date_title_s' => null,
 	'date_title_c' => null,
-
+	
 	'post_title_f' => null,
 	'post_title_s' => null,
@@ -71,5 +71,5 @@
 	'post_commentmy_bg_c' => null,
 	'post_commentmy_c' => null,
-
+	
 	'prelude_c' => null,
 	'footer_f' => null,
@@ -78,6 +78,4 @@
 	'footer_l_c' => null,
 	'footer_bg_c' => null,
-
-	'extra_css' => null
 );
 
@@ -110,5 +108,5 @@
 		$blowup_user['body_txt_c'] = blowupConfig::adjustColor($_POST['body_txt_c']);
 		$blowup_user['body_line_height'] = blowupConfig::adjustFontSize($_POST['body_line_height']);
-
+		
 		$blowup_user['blog_title_hide'] = (integer) !empty($_POST['blog_title_hide']);
 		$update_blog_title = !$blowup_user['blog_title_hide'] && (
@@ -117,5 +115,5 @@
 			!empty($_POST['blog_title_p'])
 		);
-
+		
 		if ($update_blog_title)
 		{
@@ -126,9 +124,9 @@
 			$blowup_user['blog_title_p'] = blowupConfig::adjustPosition($_POST['blog_title_p']);
 		}
-
+		
 		$blowup_user['body_link_c'] = blowupConfig::adjustColor($_POST['body_link_c']);
 		$blowup_user['body_link_f_c'] = blowupConfig::adjustColor($_POST['body_link_f_c']);
 		$blowup_user['body_link_v_c'] = blowupConfig::adjustColor($_POST['body_link_v_c']);
-
+		
 		$blowup_user['sidebar_text_f'] = $_POST['sidebar_text_f'];
 		$blowup_user['sidebar_text_s'] = blowupConfig::adjustFontSize($_POST['sidebar_text_s']);
@@ -144,11 +142,11 @@
 		$blowup_user['sidebar_link_f_c'] = blowupConfig::adjustColor($_POST['sidebar_link_f_c']);
 		$blowup_user['sidebar_link_v_c'] = blowupConfig::adjustColor($_POST['sidebar_link_v_c']);
-
+		
 		$blowup_user['sidebar_position'] = ($_POST['sidebar_position'] == 'left') ? 'left' : null;
-
+		
 		$blowup_user['date_title_f'] = $_POST['date_title_f'];
 		$blowup_user['date_title_s'] = blowupConfig::adjustFontSize($_POST['date_title_s']);
 		$blowup_user['date_title_c'] = blowupConfig::adjustColor($_POST['date_title_c']);
-
+		
 		$blowup_user['post_title_f'] = $_POST['post_title_f'];
 		$blowup_user['post_title_s'] = blowupConfig::adjustFontSize($_POST['post_title_s']);
@@ -156,6 +154,6 @@
 		$blowup_user['post_comment_c'] = blowupConfig::adjustColor($_POST['post_comment_c']);
 		$blowup_user['post_commentmy_c'] = blowupConfig::adjustColor($_POST['post_commentmy_c']);
-
-
+		
+		
 		$blowup_user['footer_f'] = $_POST['footer_f'];
 		$blowup_user['footer_s'] = blowupConfig::adjustFontSize($_POST['footer_s']);
@@ -163,8 +161,5 @@
 		$blowup_user['footer_l_c'] = blowupConfig::adjustColor($_POST['footer_l_c']);
 		$blowup_user['footer_bg_c'] = blowupConfig::adjustColor($_POST['footer_bg_c']);
-
-
-		$blowup_user['extra_css'] = blowupConfig::cleanCSS($_POST['extra_css']);
-
+		
 		if ($can_write_images)
 		{
@@ -173,5 +168,5 @@
 				$uploaded = blowupConfig::imagesPath().'/'.$blowup_user['uploaded'];
 			}
-
+			
 			if (!empty($_FILES['upfile']) && !empty($_FILES['upfile']['name'])) {
 				files::uploadStatus($_FILES['upfile']);
@@ -179,7 +174,7 @@
 				$blowup_user['uploaded'] = basename($uploaded);
 			}
-
+			
 			$blowup_user['top_image'] = in_array($_POST['top_image'],$top_images) ? $_POST['top_image'] : 'default';
-
+			
 			$blowup_user['body_bg_c'] = blowupConfig::adjustColor($_POST['body_bg_c']);
 			$blowup_user['body_bg_g'] = in_array($_POST['body_bg_g'],$gradient_types) ? $_POST['body_bg_g'] : '';
@@ -189,9 +184,9 @@
 			blowupConfig::createImages($blowup_user,$uploaded);
 		}
-
+		
 		$core->blog->settings->addNamespace('themes');
 		$core->blog->settings->themes->put('blowup_style',serialize($blowup_user));
 		$core->blog->triggerBlog();
-
+		
 		http::redirect($p_url.'&upd=1');
 	}
@@ -238,5 +233,5 @@
 
 echo '<form id="theme_config" action="'.$p_url.'" method="post" enctype="multipart/form-data">';
-
+		
 echo '<fieldset><legend>'.__('General').'</legend>';
 
@@ -245,5 +240,5 @@
 	'<p class="field"><label for="body_bg_c">'.__('Background color:').' '.
 	form::field('body_bg_c',7,7,$blowup_user['body_bg_c'],'colorpicker').'</label></p>'.
-
+	
 	'<p class="field"><label for="body_bg_g">'.__('Background color fill:').' '.
 	form::combo('body_bg_g',$gradient_types,$blowup_user['body_bg_g']).'</label></p>';
@@ -309,5 +304,5 @@
 		$preview_image = 'index.php?pf=blowupConfig/alpha-img/page-t/'.$blowup_user['top_image'].'.png';
 	}
-
+	
 	echo
 	'<fieldset><legend>'.__('Top image').'</legend>'.
@@ -315,10 +310,10 @@
 	form::combo('top_image',$top_images,($blowup_user['top_image'] ? $blowup_user['top_image'] : 'default')).'</label></p>'.
 	'<p>'.__('Choose "Custom..." to upload your own image.').'</p>'.
-
+	
 	'<p id="uploader"><label for="upfile">'.__('Add your image:').
 	' ('.sprintf(__('JPEG or PNG file, 800 pixels wide, maximum size %s'),files::size(DC_MAX_UPLOAD_SIZE)).')'.
 	'<input type="file" name="upfile" id="upfile" size="35" />'.
 	'</label></p>'.
-
+	
 	'<h3>'.__('Preview').'</h3>'.
 	'<div class="grid" style="width:800px;border:1px solid #ccc;">'.
@@ -430,11 +425,4 @@
 '</fieldset>';
 
-echo
-'<fieldset><legend>'.__('Additional CSS').'</legend>'.
-'<p>'.form::textarea('extra_css',72,5,html::escapeHTML($blowup_user['extra_css']),'maximal','',false,'title="'.__('Additional CSS').'"').'</p>'.
-'</fieldset>';
-
-
-
 // Import / Export configuration
 $tmp_array = array();
Index: plugins/blowupConfig/lib/class.blowup.config.php
===================================================================
--- plugins/blowupConfig/lib/class.blowup.config.php	(revision 295)
+++ plugins/blowupConfig/lib/class.blowup.config.php	(revision 270)
@@ -22,5 +22,5 @@
 			'ss5' => 'Impact, Charcoal, sans-serif'
 		),
-
+		
 		'serif' => array(
 			's1' => 'Times, "Times New Roman", serif',
@@ -28,5 +28,5 @@
 			's3' => 'Baskerville, "Palatino Linotype", serif'
 		),
-
+		
 		'monospace' => array(
 			'm1' => '"Andale Mono", "Courier New", monospace',
@@ -34,8 +34,8 @@
 		)
 	);
-
+	
 	protected static $fonts_combo = array();
 	protected static $fonts_list = array();
-
+	
 	public static $top_images = array(
 		'default' => 'Default',
@@ -55,5 +55,5 @@
 		'typo' => 'Typo',
 	);
-
+	
 	public static function fontsList()
 	{
@@ -70,8 +70,8 @@
 			}
 		}
-
+		
 		return self::$fonts_combo;
 	}
-
+	
 	public static function fontDef($c)
 	{
@@ -85,8 +85,8 @@
 			}
 		}
-
+		
 		return isset(self::$fonts_list[$c]) ? self::$fonts_list[$c] : null;
 	}
-
+	
 	public static function adjustFontSize($s)
 	{
@@ -97,8 +97,8 @@
 			return $m[1].$m[2];
 		}
-
+		
 		return null;
 	}
-
+	
 	public static function adjustPosition($p)
 	{
@@ -106,10 +106,10 @@
 			return null;
 		}
-
+		
 		$p = explode(':',$p);
-
+		
 		return $p[0].(count($p) == 1 ? ':0' : ':'.$p[1]);
 	}
-
+	
 	public static function adjustColor($c)
 	{
@@ -117,28 +117,22 @@
 			return '';
 		}
-
+		
 		$c = strtoupper($c);
-
+		
 		if (preg_match('/^[A-F0-9]{3,6}$/',$c)) {
 			$c = '#'.$c;
 		}
-
+		
 		if (preg_match('/^#[A-F0-9]{6}$/',$c)) {
 			return $c;
 		}
-
+		
 		if (preg_match('/^#[A-F0-9]{3,}$/',$c)) {
 			return '#'.substr($c,1,1).substr($c,1,1).substr($c,2,1).substr($c,2,1).substr($c,3,1).substr($c,3,1);
 		}
-
+		
 		return '';
 	}
-
-	public static function cleanCSS($css)
-	{
-		// TODO ?
-		return $css;
-	}
-
+	
 	public static function imagesPath()
 	{
@@ -146,5 +140,5 @@
 		return path::real($core->blog->public_path).'/blowup-images';
 	}
-
+	
 	public static function imagesURL()
 	{
@@ -152,12 +146,12 @@
 		return $core->blog->settings->system->public_url.'/blowup-images';
 	}
-
+	
 	public static function canWriteImages($create=false)
 	{
 		global $core;
-
+		
 		$public = path::real($core->blog->public_path);
 		$imgs = self::imagesPath();
-
+		
 		if (!function_exists('imagecreatetruecolor') || !function_exists('imagepng') || !function_exists('imagecreatefrompng')) {
 			$core->error->add(__('At least one of the following functions is not available: '.
@@ -165,10 +159,10 @@
 			return false;
 		}
-
+		
 		if (!is_dir($public)) {
 			$core->error->add(__('The \'public\' directory does not exist.'));
 			return false;
 		}
-
+		
 		if (!is_dir($imgs)) {
 			if (!is_writable($public)) {
@@ -181,13 +175,13 @@
 			return true;
 		}
-
+		
 		if (!is_writable($imgs)) {
 			$core->error->add(sprintf(__('The \'%s\' directory cannot be modified.'),'public/blowup-images'));
 			return false;
 		}
-
+		
 		return true;
 	}
-
+	
 	public static function uploadImage($f)
 	{
@@ -195,26 +189,26 @@
 			throw new Exception(__('Unable to create images.'));
 		}
-
+		
 		$name = $f['name'];
 		$type = files::getMimeType($name);
-
+		
 		if ($type != 'image/jpeg' && $type != 'image/png') {
 			throw new Exception(__('Invalid file type.'));
 		}
-
+		
 		$dest = self::imagesPath().'/uploaded'.($type == 'image/png' ? '.png' : '.jpg');
-
+		
 		if (@move_uploaded_file($f['tmp_name'],$dest) === false) {
 			throw new Exception(__('An error occurred while writing the file.'));
 		}
-
+		
 		$s = getimagesize($dest);
 		if ($s[0] != 800) {
 			throw new Exception(__('Uploaded image is not 800 pixels wide.'));
 		}
-
+		
 		return $dest;
 	}
-
+	
 	public static function createImages(&$config,$uploaded)
 	{
@@ -225,7 +219,7 @@
 		$comment_color_my = $config['post_commentmy_bg_c'];
 		$top_image = $config['top_image'];
-
+		
 		$config['top_height'] = null;
-
+		
 		if ($top_image != 'custom' && !isset(self::$top_images[$top_image])) {
 			$top_image = 'default';
@@ -234,9 +228,9 @@
 			$uploaded = null;
 		}
-
+		
 		if (!self::canWriteImages(true)) {
 			throw new Exception(__('Unable to create images.'));
 		}
-
+		
 		$body_fill = array(
 			'light' => dirname(__FILE__).'/../alpha-img/gradient-l.png',
@@ -244,7 +238,7 @@
 			'dark' => dirname(__FILE__).'/../alpha-img/gradient-d.png'
 		);
-
+		
 		$body_g = isset($body_fill[$gradient]) ? $body_fill[$gradient] : false;
-
+		
 		if ($top_image == 'custom' && $uploaded) {
 			$page_t = $uploaded;
@@ -252,5 +246,5 @@
 			$page_t = dirname(__FILE__).'/../alpha-img/page-t/'.$top_image.'.png';
 		}
-
+		
 		$body_bg = dirname(__FILE__).'/../alpha-img/body-bg.png';
 		$page_t_mask = dirname(__FILE__).'/../alpha-img/page-t/image-mask.png';
@@ -260,5 +254,5 @@
 		$default_bg = '#e0e0e0';
 		$default_prelude = '#ededed';
-
+		
 		self::dropImage(basename($body_bg));
 		self::dropImage('page-t.png');
@@ -266,9 +260,9 @@
 		self::dropImage(basename($comment_t));
 		self::dropImage(basename($comment_b));
-
+		
 		$body_color = self::adjustColor($body_color);
 		$prelude_color = self::adjustColor($prelude_color);
 		$comment_color = self::adjustColor($comment_color);
-
+		
 		if ($top_image || $body_color || $gradient != 'light' || $prelude_color || $uploaded)
 		{
@@ -277,10 +271,10 @@
 			}
 			$body_color = sscanf($body_color,'#%2X%2X%2X');
-
+			
 			# Create body gradient with color
 			$d_body_bg = imagecreatetruecolor(50,180);
 			$fill = imagecolorallocate($d_body_bg,$body_color[0],$body_color[1],$body_color[2]);
 			imagefill($d_body_bg,0,0,$fill);
-
+			
 			# User choosed a gradient
 			if ($body_g) {
@@ -290,18 +284,18 @@
 				imagedestroy($s_body_bg);
 			}
-
+			
 			if (!$prelude_color) {
 				$prelude_color = $default_prelude;
 			}
 			$prelude_color = sscanf($prelude_color,'#%2X%2X%2X');
-
+			
 			$s_prelude = imagecreatetruecolor(50,30);
 			$fill = imagecolorallocate($s_prelude,$prelude_color[0],$prelude_color[1],$prelude_color[2]);
 			imagefill($s_prelude,0,0,$fill);
 			imagecopy($d_body_bg,$s_prelude,0,0,0,0,50,30);
-
+			
 			imagepng($d_body_bg,self::imagesPath().'/'.basename($body_bg));
 		}
-
+		
 		if ($top_image || $body_color || $gradient != 'light')
 		{
@@ -310,7 +304,7 @@
 			$size = $size[1];
 			$type = files::getMimeType($page_t);
-
+			
 			$d_page_t = imagecreatetruecolor(800,$size);
-
+			
 			if ($type == 'image/png') {
 				$s_page_t = @imagecreatefrompng($page_t);
@@ -318,12 +312,12 @@
 				$s_page_t = @imagecreatefromjpeg($page_t);
 			}
-
+			
 			if (!$s_page_t) {
 				throw new exception(__('Unable to open image.'));
 			}
-
+			
 			$fill = imagecolorallocate($d_page_t,$body_color[0],$body_color[1],$body_color[2]);
 			imagefill($d_page_t,0,0,$fill);
-
+			
 			if ($type == 'image/png')
 			{
@@ -337,15 +331,15 @@
 				# JPEG, we add image and a frame with rounded corners
 				imagecopy($d_page_t,$s_page_t,0,0,0,0,800,$size);
-
+				
 				imagecopy($d_page_t,$d_body_bg,0,0,0,50,8,4);
 				imagecopy($d_page_t,$d_body_bg,0,4,0,54,4,4);
 				imagecopy($d_page_t,$d_body_bg,792,0,0,50,8,4);
 				imagecopy($d_page_t,$d_body_bg,796,4,0,54,4,4);
-
+				
 				$mask = imagecreatefrompng($page_t_mask);
 				imagealphablending($mask,true);
 				imagecopy($d_page_t,$mask,0,0,0,0,800,11);
 				imagedestroy($mask);
-
+				
 				$fill = imagecolorallocate($d_page_t,255,255,255);
 				imagefilledrectangle($d_page_t,0,11,3,$size-1,$fill);
@@ -353,28 +347,28 @@
 				imagefilledrectangle($d_page_t,0,$size-9,799,$size-1,$fill);
 			}
-
+			
 			$config['top_height'] = ($size).'px';
-
+			
 			imagepng($d_page_t,self::imagesPath().'/page-t.png');
-
+			
 			imagedestroy($d_body_bg);
 			imagedestroy($d_page_t);
 			imagedestroy($s_page_t);
-
+			
 			# Create bottom image with color
 			$d_page_b = imagecreatetruecolor(800,8);
 			$fill = imagecolorallocate($d_page_b,$body_color[0],$body_color[1],$body_color[2]);
 			imagefill($d_page_b,0,0,$fill);
-
+			
 			$s_page_b = imagecreatefrompng($page_b);
 			imagealphablending($s_page_b,true);
 			imagecopy($d_page_b,$s_page_b,0,0,0,0,800,160);
-
+			
 			imagepng($d_page_b,self::imagesPath().'/'.basename($page_b));
-
+			
 			imagedestroy($d_page_b);
 			imagedestroy($s_page_b);
 		}
-
+		
 		if ($comment_color) {
 			self::commentImages($comment_color,$comment_t,$comment_b,basename($comment_t),basename($comment_b));
@@ -384,34 +378,34 @@
 		}
 	}
-
+	
 	protected static function commentImages($comment_color,$comment_t,$comment_b,$dest_t,$dest_b)
 	{
 		$comment_color = sscanf($comment_color,'#%2X%2X%2X');
-
+			
 		$d_comment_t = imagecreatetruecolor(500,25);
 		$fill = imagecolorallocate($d_comment_t,$comment_color[0],$comment_color[1],$comment_color[2]);
 		imagefill($d_comment_t,0,0,$fill);
-
+		
 		$s_comment_t = imagecreatefrompng($comment_t);
 		imagealphablending($s_comment_t,true);
 		imagecopy($d_comment_t,$s_comment_t,0,0,0,0,500,25);
-
+		
 		imagepng($d_comment_t,self::imagesPath().'/'.$dest_t);
 		imagedestroy($d_comment_t);
 		imagedestroy($s_comment_t);
-
+		
 		$d_comment_b = imagecreatetruecolor(500,7);
 		$fill = imagecolorallocate($d_comment_b,$comment_color[0],$comment_color[1],$comment_color[2]);
 		imagefill($d_comment_b,0,0,$fill);
-
+		
 		$s_comment_b = imagecreatefrompng($comment_b);
 		imagealphablending($s_comment_b,true);
 		imagecopy($d_comment_b,$s_comment_b,0,0,0,0,500,7);
-
+		
 		imagepng($d_comment_b,self::imagesPath().'/'.$dest_b);
 		imagedestroy($d_comment_b);
 		imagedestroy($s_comment_b);
 	}
-
+	
 	public static function dropImage($img)
 	{
Index: plugins/importExport/inc/class.dc.export.flat.php
===================================================================
--- plugins/importExport/inc/class.dc.export.flat.php	(revision 270)
+++ plugins/importExport/inc/class.dc.export.flat.php	(revision 557)
@@ -157,7 +157,6 @@
 		'<p>'.sprintf(__('This will create an export of your current blog: %s'),
 		'<strong>'.html::escapeHTML($this->core->blog->name).'</strong>').'</p>'.
-		'<p><label for="file_name" class="classic">'.__('File name:').' '.
+		'<p><label for="file_name" class="classic">'.__('File name:').'</label>'.
 		form::field(array('file_name','file_name'),25,255,date('Y-m-d-').html::escapeHTML($this->core->blog->id.'-backup.txt')).
-		'</label> '.
 		'<input type="submit" value="'.__('Export').'" />'.
 		form::hidden(array('do'),'export_blog').
@@ -172,7 +171,6 @@
 			'<form action="'.$this->getURL(true).'" method="post">'.
 			'<fieldset><legend>'.__('Export all content').'</legend>'.
-			'<p><label for="file_name2" class="classic">'.__('File name:').' '.
+			'<p><label for="file_name2" class="classic">'.__('File name:').'</label>'.
 			form::field(array('file_name','file_name2'),25,255,date('Y-m-d-').'dotclear-backup.txt').
-			'</label> '.
 			'<input type="submit" value="'.__('Export all content').'" />'.
 			form::hidden(array('do'),'export_all').
Index: plugins/importExport/inc/class.dc.import.feed.php
===================================================================
--- plugins/importExport/inc/class.dc.import.feed.php	(revision 270)
+++ plugins/importExport/inc/class.dc.import.feed.php	(revision 557)
@@ -86,11 +86,11 @@
 		'<form action="'.$this->getURL(true).'" method="post">'.
 		
-		'<fieldset>'.
+		'<div class="fieldset">'.
 		$this->core->formNonce().
 		form::hidden(array('do'),1).
-		'<p><label for="feed_url">'.__('Feed URL:').' '.
-		form::field('feed_url',40,300,html::escapeHTML($this->feed_url)).'</label></p>'.
-		'<p><input type="submit" value="'.__('Send').'" /></p>'.
-		'</fieldset>'.
+		'<p><label for="feed_url">'.__('Feed URL:').'</label>'.
+		form::field('feed_url',40,300,html::escapeHTML($this->feed_url)).'</p>'.
+		'<p><input type="submit" value="'.__('Import').'" /></p>'.
+		'</div>'.
 		'</form>';
 	}
Index: plugins/importExport/inc/class.dc.import.flat.php
===================================================================
--- plugins/importExport/inc/class.dc.import.flat.php	(revision 270)
+++ plugins/importExport/inc/class.dc.import.flat.php	(revision 557)
@@ -160,11 +160,11 @@
 		'<form action="'.$this->getURL(true).'" method="post" enctype="multipart/form-data">'.
 		
-		'<fieldset>'.
+		'<div class="fieldset">'.
 		$this->core->formNonce().
 		form::hidden(array('do'),1).
 		form::hidden(array('MAX_FILE_SIZE'),DC_MAX_UPLOAD_SIZE).
-		'<p><label for="up_single_file">'.__('Upload a backup file').' '.
+		'<p><label for="up_single_file">'.__('Upload a backup file').'</label>'.
 		'<input type="file" id="up_single_file" name="up_single_file" size="20" />'.
-		'</label></p>';
+		'</p>';
 		
 		$public_files = $this->getPublicFiles();
@@ -178,6 +178,6 @@
 		
 		echo
-		'<p><input type="submit" value="'.__('Send').'" /></p>'.
-		'</fieldset>'.
+		'<p><input type="submit" value="'.__('Import').'" /></p>'.
+		'</div>'.
 		'</form>';
 		
@@ -189,25 +189,25 @@
 			'<div>'.form::hidden(array('MAX_FILE_SIZE'),DC_MAX_UPLOAD_SIZE).'</div>'.
 			
-			'<fieldset>'.
+			'<div class="fieldset">'.
 			$this->core->formNonce().
 			form::hidden(array('do'),1).
 			form::hidden(array('MAX_FILE_SIZE'),DC_MAX_UPLOAD_SIZE).
-			'<p><label for="up_full_file">'.__('Upload a backup file').' '.
+			'<p><label for="up_full_file">'.__('Upload a backup file').'</label>'.
 			'<input type="file" id="up_full_file" name="up_full_file" size="20" />'.
-			'</label></p>';
+			'</p>';
 			
 			echo
-			'<p><label for="public_full_file">'.__('or pick up a local file in your public directory').' '.
+			'<p><label for="public_full_file">'.__('or pick up a local file in your public directory').'</label>'.
 			form::combo('public_full_file',$public_files, '', '', '', $empty).
-			'</label></p>';
+			'</p>';
 			
 			echo
-			'<p><strong>'.__('Warning: This will reset all the content of your database, except users.').'</strong></p>'.
-			
-			'<p><label for="your_pwd">'.__('Your password:').
-			form::password('your_pwd',20,255).'</label></p>'.
-			
-			'<p><input type="submit" value="'.__('Send').'" /></p>'.
-			'</fieldset>'.
+			'<p class="form-note warning"><strong>'.__('Warning: This will reset all the content of your database, except users.').'</strong></p>'.
+			
+			'<p><label for="your_pwd" class="required"><abbr title="'.__('Required field').'">*</abbr> '.__('Your password:').'</label>'.
+			form::password('your_pwd',20,255).'</p>'.
+			
+			'<p><input type="submit" value="'.__('Import').'" /></p>'.
+			'</div>'.
 			'</form>';
 		}
Index: plugins/pages/page.php
===================================================================
--- plugins/pages/page.php	(revision 500)
+++ plugins/pages/page.php	(revision 559)
@@ -320,18 +320,15 @@
 
 echo '<h2>'.html::escapeHTML($core->blog->name).
-' &rsaquo; <a href="'.$p_url.'">'.__('Pages').'</a> &rsaquo; <span class="page-title">'.$page_title.'</span>';
+' &rsaquo; <a href="'.$p_url.'">'.__('Pages').'</a> &rsaquo; <span class="page-title">'.$page_title; 
+	if ($post_id) {
+		echo ' &ldquo;'.$post_title.'&rdquo;';
+	}
+echo	'</span></h2>';
 
 if ($post_id && $post->post_status == 1) {
-	echo ' - <a id="post-preview" href="'.$post->getURL().'" class="button">'.__('View page').'</a>';
-} elseif ($post_id) {
-	$preview_url =
-	$core->blog->url.$core->url->getBase('pagespreview').'/'.
-	$core->auth->userID().'/'.
-	http::browserUID(DC_MASTER_KEY.$core->auth->userID().$core->auth->getInfo('user_pwd')).
-	'/'.$post->post_url;
-	echo ' - <a id="post-preview" href="'.$preview_url.'" class="button">'.__('Preview page').'</a>';
-}
-
-echo '</h2>';
+	echo '<p><a href="'.$post->getURL().'" onclick="window.open(this.href);return false;" title="'.$post_title.' ('.__('new window').')'.'">'.__('Go to this page on the site').' <img src="images/outgoing-blue.png" alt="" /></a></p>';
+}
+
+echo '';
 
 if ($post_id)
@@ -363,5 +360,5 @@
 
 	echo '<div id="entry-wrapper">';
-	echo '<div id="entry-content"><fieldset class="constrained">';
+	echo '<div id="entry-content"><div class="constrained">';
 	
 	echo
@@ -391,10 +388,21 @@
 	($post_id ? form::hidden('id',$post_id) : '').
 	'<input type="submit" value="'.__('Save').' (s)" '.
-	'accesskey="s" name="save" /> '.
+	'accesskey="s" name="save" /> ';
+
+	if ($post_id) {
+		$preview_url =
+		$core->blog->url.$core->url->getBase('pagespreview').'/'.
+		$core->auth->userID().'/'.
+		http::browserUID(DC_MASTER_KEY.$core->auth->userID().$core->auth->getInfo('user_pwd')).
+		'/'.$post->post_url;
+		echo '<a id="post-preview" href="'.$preview_url.'" class="button">'.__('Preview').'</a>';
+	}
+	
+	echo
 	($can_delete ? '<input type="submit" class="delete" value="'.__('Delete').'" name="delete" />' : '').
 	$core->formNonce().
 	'</p>';
 	
-	echo '</fieldset></div>';		// End #entry-content
+	echo '</div></div>';		// End #entry-content
 	echo '</div>';		// End #entry-wrapper
 
@@ -570,5 +578,5 @@
 	
 	'<form action="comment.php" method="post" id="comment-form">'.
-	'<fieldset class="constrained">'.
+	'<div class="constrained">'.
 	'<p><label for="comment_author" class="required"><abbr title="'.__('Required field').'">*</abbr> '.__('Name:').
 	form::field('comment_author',30,255,html::escapeHTML($core->auth->getInfo('user_cn'))).
@@ -590,5 +598,5 @@
 	$core->formNonce().
 	'<input type="submit" name="add" value="'.__('Save').'" /></p>'.
-	'</fieldset>'.
+	'</div>'.
 	'</form>'.
 	'</div>';
Index: plugins/simpleMenu/_admin.php
===================================================================
--- plugins/simpleMenu/_admin.php	(revision 534)
+++ 	(revision )
@@ -1,30 +1,0 @@
-<?php
-# -- BEGIN LICENSE BLOCK ---------------------------------------
-#
-# This file is part of Dotclear 2.
-#
-# Copyright (c) 2003-2011 Olivier Meunier & Association Dotclear
-# Licensed under the GPL version 2.0 license.
-# See LICENSE file or
-# http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
-#
-# -- END LICENSE BLOCK -----------------------------------------
-if (!defined('DC_CONTEXT_ADMIN')) { return; }
-
-$core->addBehavior('adminDashboardIcons','simpleMenu_dashboard');
-$core->addBehavior('adminDashboardFavs','simpleMenu_dashboard_favs');
-function simpleMenu_dashboard($core,$icons)
-{
-	$icons['simpleMenu'] = new ArrayObject(array(__('Simple menu'),'plugin.php?p=simpleMenu','index.php?pf=simpleMenu/icon.png'));
-}
-function simpleMenu_dashboard_favs($core,$favs)
-{
-	$favs['simpleMenu'] = new ArrayObject(array('simpleMenu','Simple menu','plugin.php?p=simpleMenu',
-		'index.php?pf=simpleMenu/icon-small.png','index.php?pf=simpleMenu/icon.png',
-		'usage,contentadmin',null,null));
-}
-
-$_menu['Plugins']->addItem(__('Simple menu'),'plugin.php?p=simpleMenu','index.php?pf=simpleMenu/icon-small.png',
-                preg_match('/plugin.php\?p=simpleMenu(&.*)?$/',$_SERVER['REQUEST_URI']),
-                $core->auth->check('usage,contentadmin',$core->blog->id));
-?>
Index: plugins/simpleMenu/_define.php
===================================================================
--- plugins/simpleMenu/_define.php	(revision 555)
+++ 	(revision )
@@ -1,23 +1,0 @@
-<?php
-# -- BEGIN LICENSE BLOCK ---------------------------------------
-#
-# This file is part of Dotclear 2.
-#
-# Copyright (c) 2003-2011 Olivier Meunier & Association Dotclear
-# Licensed under the GPL version 2.0 license.
-# See LICENSE file or
-# http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
-#
-# -- END LICENSE BLOCK -----------------------------------------
-if (!defined('DC_RC_PATH')) { return; }
-
-$this->registerModule(
-	/* Name */			"simpleMenu",
-	/* Description*/		"Simple menu for Dotclear",
-	/* Author */			"Franck Paul",
-	/* Version */			'0.5',
-	array(
-		'permissions' =>	'admin'
-	)
-);
-?>
Index: plugins/simpleMenu/_install.php
===================================================================
--- plugins/simpleMenu/_install.php	(revision 538)
+++ 	(revision )
@@ -1,29 +1,0 @@
-<?php
-# -- BEGIN LICENSE BLOCK ---------------------------------------
-#
-# This file is part of widgets, a plugin for Dotclear 2.
-#
-# Copyright (c) 2003-2011 Olivier Meunier & Association Dotclear
-# Licensed under the GPL version 2.0 license.
-# See LICENSE file or
-# http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
-#
-# -- END LICENSE BLOCK -----------------------------------------
-if (!defined('DC_CONTEXT_ADMIN')) { return; }
-
-$version = $core->plugins->moduleInfo('simpleMenu','version');
-if (version_compare($core->getVersion('simpleMenu'),$version,'>=')) {
-	return;
-}
-
-# Menu par défaut
-$blog_url = html::stripHostURL($core->blog->url);
-$menu_default = array(
-	array('label' => 'Home', 'descr' => 'Recent posts', 'url' => $blog_url),
-	array('label' => 'Archives', 'descr' => '', 'url' => $blog_url.$core->url->getBase('archive'))
-);
-$core->blog->settings->system->put('simpleMenu',serialize($menu_default),'string','simpleMenu default menu',false,true);
-
-$core->setVersion('simpleMenu',$version);
-return true;
-?>
Index: plugins/simpleMenu/_public.php
===================================================================
--- plugins/simpleMenu/_public.php	(revision 567)
+++ 	(revision )
@@ -1,96 +1,0 @@
-<?php
-# -- BEGIN LICENSE BLOCK ---------------------------------------
-#
-# This file is part of Dotclear 2.
-#
-# Copyright (c) 2003-2011 Olivier Meunier & Association Dotclear
-# Licensed under the GPL version 2.0 license.
-# See LICENSE file or
-# http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
-#
-# -- END LICENSE BLOCK -----------------------------------------
-if (!defined('DC_RC_PATH')) { return; }
-
-# Simple menu template functions
-$core->tpl->addValue('SimpleMenu',array('tplSimpleMenu','simpleMenu'));
-
-class tplSimpleMenu
-{
-	public static function simpleMenu($attr)
-	{
-		$class = isset($attr['class']) ? trim($attr['class']) : '';
-		$id = isset($attr['id']) ? trim($attr['id']) : '';
-		$description = isset($attr['description']) ? trim($attr['description']) : '';
-		
-		if (!preg_match('#^(title|span)$#',$description)) {
-			$description = '';
-		}
-		
-		return '<?php echo tplSimpleMenu::displayMenu('.
-				"'".addslashes($class)."',".
-				"'".addslashes($id)."',".
-				"'".addslashes($description)."'".
-			'); ?>';
-	}
-	
-	public static function displayMenu($class='',$id='',$description='')
-	{
-		$ret = '';
-
-		$menu = $GLOBALS['core']->blog->settings->system->get('simpleMenu');
-		$menu = @unserialize($menu);
-
-		if (is_array($menu)) 
-		{
-			// Current relative URL
-			$url = $_SERVER['REQUEST_URI'];
-			$abs_url = http::getHost().$url;
-		
-			// Home recognition var
-			$home_url = html::stripHostURL($GLOBALS['core']->blog->url);
-			$home_directory = dirname($home_url);
-			if ($home_directory != '/')
-				$home_directory = $home_directory.'/';
-
-			// Menu items loop
-			foreach ($menu as $i => $m) {
-				# $href = lien de l'item de menu
-				$href = $m['url'];
-				$href = html::escapeHTML($href);
-
-				# Active item test
-				$active = false;
-				if (($url == $href) || 
-					($abs_url == $href) || 
-					($_SERVER['URL_REQUEST_PART'] == $href) || 
-					(($_SERVER['URL_REQUEST_PART'] == '') && (($href == $home_url) || ($href == $home_directory)))) {
-					$active = true;
-				}
-				$title = $span = '';
-				if ($m['descr']) {
-					if ($description == 'title') {
-						$title = ' title="'.__($m['descr']).'"';
-					} else {
-						$span = ' <span>'.__($m['descr']).'</span>';
-					}
-				}
-				$ret .= '<li class="li'.($i+1).
-							($active ? ' active' : '').
-							($i == 0 ? ' li-first' : '').
-							($i == count($menu)-1 ? ' li-last' : '').
-						'">'.
-						'<a href="'.$href.'"'.$title.'>'.__($m['label']).$span.'</a>'.
-						'</li>';
-			}
-			
-			// Final rendering
-			if ($ret) {
-				$ret = '<ul '.($id ? 'id="'.$id.'"' : '').' class="simple-menu'.($class ? ' '.$class : '').'">'."\n".$ret."\n".'</ul>';
-			}
-		}
-
-		return $ret;
-	}
-}
-
-?>
Index: plugins/simpleMenu/index.php
===================================================================
--- plugins/simpleMenu/index.php	(revision 556)
+++ 	(revision )
@@ -1,567 +1,0 @@
-<?php
-# -- BEGIN LICENSE BLOCK ---------------------------------------
-#
-# This file is part of Dotclear 2.
-#
-# Copyright (c) 2003-2011 Olivier Meunier & Association Dotclear
-# Licensed under the GPL version 2.0 license.
-# See LICENSE file or
-# http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
-#
-# -- END LICENSE BLOCK -----------------------------------------
-if (!defined('DC_CONTEXT_ADMIN')) { return; }
-
-dcPage::check('admin');
-
-$page_title = __('Simple menu');
-
-# Url de base
-$p_url = 'plugin.php?p=simpleMenu';
-
-# Url du blog
-$blog_url = html::stripHostURL($core->blog->url);
-
-# Liste des catégories
-$categories_combo = array();
-$categories_label = array();
-try {
-	$rs = $core->blog->getCategories(array('post_type'=>'post'));
-	while ($rs->fetch()) {
-		$categories_combo[] = new formSelectOption(
-			str_repeat('&nbsp;&nbsp;',$rs->level-1).($rs->level-1 == 0 ? '' : '&bull; ').html::escapeHTML($rs->cat_title),
-			$rs->cat_url
-		);
-		$categories_label[$rs->cat_url] = html::escapeHTML($rs->cat_title);
-	}
-} catch (Exception $e) { }
-
-# Liste des langues utilisées
-$langs_combo = array();
-try {
-	$rs = $core->blog->getLangs(array('order'=>'asc'));
-	if ($rs->count() > 1)
-	{
-		$all_langs = l10n::getISOcodes(0,1);
-		while ($rs->fetch()) {
-			$lang_name = isset($all_langs[$rs->post_lang]) ? $all_langs[$rs->post_lang] : $rs->post_lang;
-			$langs_combo[$lang_name] = $rs->post_lang;
-		}
-		unset($all_langs);
-	}
-	unset($rs);
-} catch (Exception $e) { }
-
-# Liste des mois d'archive
-$months_combo = array();
-try {
-	$rs = $core->blog->getDates(array('type'=>'month'));
-	$months_combo[__('All months')] = '-';
-	$first_year = $last_year = 0;
-	while ($rs->fetch()) {
-		$months_combo[dt::str('%B %Y',$rs->ts())] = $rs->year().$rs->month();
-		if (($first_year == 0) || ($rs->year() < $first_year)) $first_year = $rs->year();
-		if (($last_year == 0) || ($rs->year() > $last_year)) $last_year = $rs->year();
-	}
-	unset($rs);
-} catch (Exception $e) { }
-
-# Liste des pages -- Doit être pris en charge plus tard par le plugin ?
-$pages_combo = array();
-try {
-	$rs = $core->blog->getPosts(array('post_type'=>'page'));
-	while ($rs->fetch()) {
-		$pages_combo[$rs->post_title] = $rs->getURL();
-	}
-	unset($rs);
-} catch (Exception $e) { }
-
-# Liste des tags -- Doit être pris en charge plus tard par le plugin ?
-$tags_combo = array();
-try {
-	$rs = $core->meta->getMetadata(array('meta_type' => 'tag'));
-	$tags_combo[__('All tags')] = '-';
-	while ($rs->fetch()) {
-		$tags_combo[$rs->meta_id] = $rs->meta_id;
-	}
-	unset($rs);
-} catch (Exception $e) { }
-
-# Liste des types d'item de menu
-$items = array('home' => array(__('Home'),false));
-
-if (count($langs_combo) > 1) {
-	$items['lang'] = array(__('Language'),true);
-}
-if (count($categories_combo)) {
-	$items['category'] = array(__('Category'),true);
-}
-if (count($months_combo) > 1) {
-	$items['archive'] = array(__('Archive'),true);
-}
-if ($core->plugins->moduleExists('pages')) {
-	if(count($pages_combo))
-		$items['pages'] = array(__('Page'),true);
-}
-if ($core->plugins->moduleExists('tags')) {
-	if (count($tags_combo) > 1)
-		$items['tags'] = array(__('Tags'),true);
-}
-
-# --BEHAVIOR-- adminSimpleMenuAddType
-# Should add an item to $items as an array(<label>,<optional step (true or false)>)
-$core->callBehavior('adminSimpleMenuAddType',$items);
-
-$items['special'] = array(__('User defined'),false);
-
-$items_combo = array();
-foreach ($items as $k => $v) {
-	$items_combo[$v[0]] = $k;
-}
-
-# Lecture menu existant
-$menu = $core->blog->settings->system->get('simpleMenu');
-$menu = @unserialize($menu);
-if (!is_array($menu)) {
-	$menu = array();
-}
-
-# Récupération paramètres postés
-$item_type = isset($_POST['item_type']) ? $_POST['item_type'] : '';
-$item_select = isset($_POST['item_select']) ? $_POST['item_select'] : '';
-$item_label = isset($_POST['item_label']) ? $_POST['item_label'] : '';
-$item_descr = isset($_POST['item_descr']) ? $_POST['item_descr'] : '';
-$item_url = isset($_POST['item_url']) ? $_POST['item_url'] : '';
-
-# Traitement
-$step = (!empty($_GET['add']) ? (integer) $_GET['add'] : 0);
-if (($step > 4) || ($step < 0)) $step = 0;
-if ($step) {
-
-	# Récupération libellés des choix
-	$item_type_label = isset($items[$item_type]) ? $items[$item_type][0] : '';
-
-	switch ($step) {
-		case 1:
-			// First step, menu item type to be selected
-			$item_type = $item_select = '';
-			break;
-		case 2:
-			if ($items[$item_type][1]) {
-				// Second step (optional), menu item sub-type to be selected
-				$item_select = '';
-				break;
-			}
-		case 3:
-			// Third step, menu item attributes to be changed or completed if necessary
-			$item_select_label = '';
-			$item_label = __('Label');
-			$item_descr = __('Description');
-			$item_url = $blog_url;
-			switch ($item_type) {
-				case 'home':
-					$item_label = __('Home');
-					$item_descr = __('Recent posts');
-					break;
-				case 'lang':
-					$item_select_label = array_search($item_select,$langs_combo);
-					$item_label = $item_select_label;
-					$item_descr = sprintf(__('Switch to %s language'),$item_select_label);
-					$item_url .= $core->url->getBase('lang').$item_select;
-					break;
-				case 'category':
-					$item_select_label = $categories_label[$item_select];
-					$item_label = $item_select_label;
-					$item_descr = __('Recent Posts from this category');
-					$item_url .= $core->url->getBase('category').'/'.$item_select;
-					break;
-				case 'archive':
-					$item_select_label = array_search($item_select,$months_combo);
-					if ($item_select == '-') {
-						$item_label = __('Archives');
-						$item_descr = $first_year.($first_year != $last_year ? ' - '.$last_year : '');
-						$item_url .= $core->url->getBase('archive');
-					} else {
-						$item_label = $item_select_label;
-						$item_descr = sprintf(__('Posts from %s'),$item_select_label);
-						$item_url .= $core->url->getBase('archive').'/'.substr($item_select,0,4).'/'.substr($item_select,-2);
-					}
-					break;
-				case 'pages':
-					$item_select_label = array_search($item_select,$pages_combo);
-					$item_label = $item_select_label;
-					$item_descr = '';
-					$item_url = html::stripHostURL($item_select);
-					break;
-				case 'tags':
-					$item_select_label = array_search($item_select,$tags_combo);
-					if ($item_select == '-') {
-						$item_label = __('All tags');
-						$item_descr = '';
-						$item_url .= $core->url->getBase('tags');
-					} else {
-						$item_label = $item_select_label;
-						$item_descr = sprintf(__('Recent posts for %s tag'),$item_select_label);
-						$item_url .= $core->url->getBase('tag').'/'.$item_select;
-					}
-					break;
-				case 'special':
-					break;
-				default:
-					# --BEHAVIOR-- adminSimpleMenuBeforeEdit
-					# Should modify if necessary $item_label, $item_descr and $item_url
-					# Should set if necessary $item_select_label (displayed on further admin step only)
-					$core->callBehavior('adminSimpleMenuBeforeEdit',$item_type,$item_select,
-						$item_label,$item_descr,$item_url,$item_select_label);
-					break;
-			}
-			break;
-		case 4:
-			// Fourth step, menu item to be added
-			try {
-				if (($item_label != '') && ($item_url != '')) 
-				{
-					// Add new item menu in menu array
-					$menu[] = array(
-						'label' => $item_label,
-						'descr' => $item_descr,
-						'url' => $item_url
-					);
-					// Save menu in blog settings
-					$core->blog->settings->system->put('simpleMenu',serialize($menu));
-				
-					// All done successfully, return to menu items list
-					http::redirect($p_url.'&added=1');
-				} else {
-					throw new Exception(__('Label and URL of menu item are mandatory.'));
-				}
-			}
-			catch (Exception $e) {
-				$core->error->add($e->getMessage());
-			}
-			break;
-	}
-} else {
-	
-	# Remove selected menu items
-	if (!empty($_POST['removeaction']))
-	{
-		try {
-	 		if (!empty($_POST['items_selected'])) {
-				foreach ($_POST['items_selected'] as $k => $v) {
-					$menu[$v]['label'] = '';
-				}
-				$newmenu = array();
-				foreach ($menu as $k => $v) {
-					if ($v['label']) {
-						$newmenu[] = array(
-							'label' => $v['label'],
-							'descr' => $v['descr'],
-							'url' => $v['url']);
-					}
-				}
-				$menu = $newmenu;
-				// Save menu in blog settings
-				$core->blog->settings->system->put('simpleMenu',serialize($menu));
-				
-				// All done successfully, return to menu items list
-				http::redirect($p_url.'&removed=1');
-			} else {
-				throw new Exception(__('No menu items selected.'));
-			}
-		}
-		catch (Exception $e) {
-			$core->error->add($e->getMessage());
-		}
-	}
-
-	# Update menu items
-	if (!empty($_POST['updateaction']))
-	{
-		try {
-			foreach ($_POST['items_label'] as $k => $v) {
-				if (!$v) throw new Exception(__('Label is mandatory.'));
-			}
-			foreach ($_POST['items_url'] as $k => $v) {
-				if (!$v) throw new Exception(__('URL is mandatory.'));
-			}
-			$newmenu = array();
-			for ($i = 0; $i < count($_POST['items_label']); $i++)
-			{
-				$newmenu[] = array(
-					'label' => $_POST['items_label'][$i],
-					'descr' => $_POST['items_descr'][$i],
-					'url' => $_POST['items_url'][$i]);
-			}
-			$menu = $newmenu;
-			// Save menu in blog settings
-			$core->blog->settings->system->put('simpleMenu',serialize($menu));
-
-			// All done successfully, return to menu items list
-			http::redirect($p_url.'&updated=1');
-		}
-		catch (Exception $e) {
-			$core->error->add($e->getMessage());
-		}
-	}
-	
-	# Order menu items
-	$order = array();
-	if (empty($_POST['im_order']) && !empty($_POST['order'])) {
-		$order = $_POST['order'];
-		asort($order);
-		$order = array_keys($order);
-	} elseif (!empty($_POST['im_order'])) {
-		$order = $_POST['im_order'];
-		if (substr($order,-1) == ',') {
-			$order = substr($order,0,strlen($order)-1);
-		}
-		$order = explode(',',$order);
-	}
-
-	if (!empty($_POST['updateaction']) && !empty($order))
-	{
-		try {
-			$newmenu = array();
-			foreach ($order as $i => $k) {
-				$newmenu[] = array(
-					'label' => $menu[$k]['label'],
-					'descr' => $menu[$k]['descr'],
-					'url' => $menu[$k]['url']);
-			}
-			$menu = $newmenu;
-			// Save menu in blog settings
-			$core->blog->settings->system->put('simpleMenu',serialize($menu));
-
-			// All done successfully, return to menu items list
-			http::redirect($p_url.'&neworder=1');
-		} 
-		catch (Exception $e) {
-			$core->error->add($e->getMessage());
-		}
-	}
-	
-}
-
-# Display
-?>
-
-<html>
-<head>
-	<title><?php echo $page_title; ?></title>
-	<?php
-		echo
-			dcPage::jsToolMan().
-			# --BEHAVIOR-- adminPageHeaders
-			$core->callBehavior('adminPageHeaders');
-	?>
-	<?php 
-		$core->auth->user_prefs->addWorkspace('accessibility'); 
-		$user_dm_nodragdrop = $core->auth->user_prefs->accessibility->nodragdrop;
-	?>
-	<?php if (!$user_dm_nodragdrop) : ?>
-	<script type="text/javascript">
-	//<![CDATA[
-
-	var dragsort = ToolMan.dragsort();
-	$(function() {
-		dragsort.makeTableSortable($("#menuitemslist").get(0),
-		dotclear.sortable.setHandle,dotclear.sortable.saveOrder);
-
-		$('.checkboxes-helpers').each(function() {
-			dotclear.checkboxesHelpers(this);
-		});
-	});
-
-	dotclear.sortable = {
-		setHandle: function(item) {
-			var handle = $(item).find('td.handle').get(0);
-			while (handle.firstChild) {
-				handle.removeChild(handle.firstChild);
-			}
-
-			item.toolManDragGroup.setHandle(handle);
-			handle.className = handle.className+' handler';
-		},
-
-		saveOrder: function(item) {
-			var group = item.toolManDragGroup;
-			var order = document.getElementById('im_order');
-			group.register('dragend', function() {
-				order.value = '';
-				items = item.parentNode.getElementsByTagName('tr');
-
-				for (var i=0; i<items.length; i++) {
-					order.value += items[i].id.substr(2)+',';
-				}
-			});
-		}
-	};
-	//]]>
-	</script>
-	<?php endif; ?>
-	<!--
-	<link rel="stylesheet" type="text/css" href="index.php?pf=simpleMenu/style.css" />
-	-->
-</head>
-
-<body>
-
-<?php
-
-if (!empty($_GET['added'])) {
-	echo '<p class="message">'.__('Menu item has been successfully added.').'</p>';
-}
-if (!empty($_GET['removed'])) {
-	echo '<p class="message">'.__('Menu items have been successfully removed.').'</p>';
-}
-if (!empty($_GET['neworder'])) {
-	echo '<p class="message">'.__('Menu items have been successfully updated.').'</p>';
-}
-if (!empty($_GET['updated'])) {
-	echo '<p class="message">'.__('Menu items have been successfully updated.').'</p>';
-}
-
-if ($step) 
-{
-	// Formulaire d'ajout d'un item
-	echo '<h2>'.html::escapeHTML($core->blog->name).' &rsaquo; <a href="'.$p_url.'">'.$page_title.'</a> &rsaquo; <span class="page-title">'.__('Add item').'</span></h2>';
-	
-	switch ($step) {
-		case 1:
-			// Selection du type d'item
-			echo '<form id="additem" action="'.$p_url.'&add=2" method="post">';
-			echo '<fieldset><legend>'.__('Select type').'</legend>';
-			echo '<p class="field"><label for"item_type" class="classic">'.__('Type of item menu:').'</label>'.form::combo('item_type',$items_combo,'').'</p>';
-			echo '<p>'.$core->formNonce().'<input type="submit" name="appendaction" value="'.__('Continue…').'" />'.'</p>';
-			echo '</fieldset>';
-			echo '</form>';
-			break;
-		case 2:
-			if ($items[$item_type][1]) {
-				// Choix à faire
-				echo '<form id="additem" action="'.$p_url.'&add=3" method="post">';
-				echo '<fieldset><legend>'.$item_type_label.'</legend>';
-				switch ($item_type) {
-					case 'lang':
-						echo '<p class="field"><label for"item_select" class="classic">'.__('Select language:').'</label>'.
-							form::combo('item_select',$langs_combo,'');
-						break;
-					case 'category':
-						echo '<p class="field"><label for"item_select" class="classic">'.__('Select category:').'</label>'.
-							form::combo('item_select',$categories_combo,'');
-						break;
-					case 'archive':
-						echo '<p class="field"><label for"item_select" class="classic">'.__('Select month (if necessary):').'</label>'.
-							form::combo('item_select',$months_combo,'');
-						break;
-					case 'pages':
-						echo '<p class="field"><label for"item_select" class="classic">'.__('Select page:').'</label>'.
-							form::combo('item_select',$pages_combo,'');
-						break;
-					case 'tags':
-						echo '<p class="field"><label for"item_select" class="classic">'.__('Select tag (if necessary):').'</label>'.
-							form::combo('item_select',$tags_combo,'');
-						break;
-					default:
-						echo
-							# --BEHAVIOR-- adminSimpleMenuSelect
-							# Optional step once $item_type known : should provide a field using 'item_select' as id
-							$core->callBehavior('adminSimpleMenuSelect',$item_type,'item_select');
-				}
-				echo form::hidden('item_type',$item_type);
-				echo '<p>'.$core->formNonce().'<input type="submit" name="appendaction" value="'.__('Continue…').'" /></p>';
-				echo '</fieldset>';
-				echo '</form>';
-				break;
-			}
-		case 3:
-			// Libellé et description
-			echo '<form id="additem" action="'.$p_url.'&add=4" method="post">';
-			echo '<fieldset><legend>'.$item_type_label.($item_select_label != '' ? ' ('.$item_select_label.')' : '').'</legend>';
-			echo '<p class="field"><label for"item_label" class="classic required"><abbr title="'.__('Required field').'">*</abbr> '.
-				__('Label of item menu:').'</label>'.form::field('item_label',20,255,$item_label).'</p>';
-			echo '<p class="field"><label for"item_descr" class="classic">'.
-				__('Description of item menu:').'</label>'.form::field('item_descr',30,255,$item_descr).'</p>';
-			echo '<p class="field"><label for"item_url" class="classic required"><abbr title="'.__('Required field').'">*</abbr> '.
-				__('URL of item menu:').'</label>'.form::field('item_url',40,255,$item_url).'</p>';
-			echo form::hidden('item_type',$item_type).form::hidden('item_select',$item_select);
-			echo '<p>'.$core->formNonce().'<input type="submit" name="appendaction" value="'.__('Add this item').'" /></p>';
-			echo '</fieldset>';
-			echo '</form>';
-			break;
-	}
-}
-
-// Liste des items
-if (!$step) {
-	echo '<h2>'.html::escapeHTML($core->blog->name).' &rsaquo; <span class="page-title">'.$page_title.'</span></h2>';
-}
-	
-if (count($menu)) {
-	if (!$step) {
-		echo '<form id="menuitems" action="'.$p_url.'" method="post">';
-	}
-	// Entête table
-	echo 
-		'<table class="maximal dragable">'.
-		'<caption>'.__('Menu items list').'</caption>'.
-		'<thead>'.
-		'<tr>';
-	if (!$step) {
-		echo '<th scope="col"></th>';
-		echo '<th scope="col"></th>';
-	}
-	echo
-		'<th scope="col">'.__('Label').'</th>'.
-		'<th scope="col">'.__('Description').'</th>'.
-		'<th scope="col">'.__('URL').'</th>'.
-		'</tr>'.
-		'</thead>'.
-		'<tbody id="menuitemslist">';
-	$count = 0;
-	foreach ($menu as $i => $m) {
-		echo '<tr class="line" id="l_'.$i.'">';
-		if (!$step) {
-			$count++;
-			echo '<td class="handle minimal">'.form::field(array('order['.$i.']'),2,3,$count,'position','',false,'title="'.sprintf(__('position of %s'),__($m['label'])).'"').
-				form::hidden(array('dynorder[]','dynorder-'.$i),$i).'</td>';
-			echo '<td class="minimal">'.form::checkbox(array('items_selected[]','ims-'.$i),$i).'</td>';
-			echo '<td class="nowrap" scope="row">'.form::field(array('items_label[]','iml-'.$i),20,255,__($m['label'])).'</td>';
-			echo '<td class="nowrap">'.form::field(array('items_descr[]','imd-'.$i),30,255,__($m['descr'])).'</td>';
-			echo '<td class="nowrap">'.form::field(array('items_url[]','imu-'.$i),40,255,$m['url']).'</td>';
-		} else {
-			echo '<td class="nowrap" scope="row">'.__($m['label']).'</td>';
-			echo '<td class="nowrap">'.__($m['descr']).'</td>';
-			echo '<td class="nowrap">'.$m['url'].'</td>';
-		}
-		echo '</tr>';
-	}
-	echo '</tbody>'.
-		'</table>';
-	if (!$step) {
-		echo '<div class="two-cols">';
-		echo '<p class="col">'.form::hidden('im_order','').$core->formNonce();
-		echo '<input type="submit" name="updateaction" value="'.__('Update menu').'" />'.'</p>';
-		echo '<p class="col right">'.'<input type="submit" class="delete" name="removeaction" '.
-				'value="'.__('Delete selected menu items').'" '.
-				'onclick="return window.confirm(\''.html::escapeJS(__('Are you sure you want to remove selected menu items?')).'\');" />'.
-			'</p>';
-		echo '</div>';
-		echo '</form>';
-	}
-} else {
-	echo
-		'<p>'.__('Currently no menu items').'</p>';
-}
-
-if (!$step) {
-	echo '<form id="menuitems" action="'.$p_url.'&add=1" method="post">';
-	echo '<p>'.$core->formNonce().'<input class="add" type="submit" name="appendaction" value="'.__('Add an item').'" /></p>';
-	echo '</form>';
-}
-
-dcPage::helpBlock('simpleMenu');
-?>
-
-</body>
-</html>
Index: plugins/simpleMenu/locales/en/help/help.html
===================================================================
--- plugins/simpleMenu/locales/en/help/help.html	(revision 553)
+++ 	(revision )
@@ -1,31 +1,0 @@
-<html>
-<head>
-  <title>Simple Menu</title>
-</head>
-
-<body>
-
-<h3>Simple Menu</h3>
-<p>Simple Menu allows you to display on your blog a single level menu, if your theme supports it.</p>
-<dl>
-  <dt>Menu items list</dt>
-  <dd>Here are displayed your menu items. 
-  You can reorder this list by dragging its items upwards or downwards. You can also modify label, description and URL of each item.
-  Once done, clic on "Update menu".</dd>
-    
-  <dt>Delete selected menu items</dt>
-  <dd>Allows you to delete menu items by checking the boxes next to each of them.</dd>
-  
-  <dt>Add a new menu item</dt>
-  <dd>First select the type of item. Then clic on "Continue…". Then, if necessary, you may have to define a sub-type (category, page, etc). If so, do it and clic on "Continue…". Then finally you can modify proposals done for label, description (not mandatory) and URL of the menu item. Once done, clic on "Add this item".</dd>
-  <dd>
-    <ul>
-      <li><strong>Label : </strong>Type here the anchor text. For example "Archives". This field is mandatory.</li>
-      <li><strong>Description : </strong>Type here a short description for the menu item (will be displayed under Label depending on theme selected). For example "Archives from 2004 to 2011".</li>
-      <li><strong>URL : </strong>Type here the item's destination. This field is mandatory.</li>
-	</ul>
-  </dd>
-
-</dl>
-</body>
-</html>
Index: plugins/simpleMenu/locales/en/resources.php
===================================================================
--- plugins/simpleMenu/locales/en/resources.php	(revision 553)
+++ 	(revision )
@@ -1,18 +1,0 @@
-<?php
-# -- BEGIN LICENSE BLOCK ---------------------------------------
-#
-# This file is part of Dotclear 2.
-#
-# Copyright (c) 2003-2011 Olivier Meunier & Association Dotclear
-# Licensed under the GPL version 2.0 license.
-# See LICENSE file or
-# http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
-#
-# -- END LICENSE BLOCK -----------------------------------------
-
-if (!isset($__resources['help']['simpleMenu']))
-{
-	$__resources['help']['simpleMenu'] = dirname(__FILE__).'/help/help.html';
-}
-
-?>
Index: plugins/simpleMenu/locales/fr/help/help.html
===================================================================
--- plugins/simpleMenu/locales/fr/help/help.html	(revision 553)
+++ 	(revision )
@@ -1,31 +1,0 @@
-<html>
-<head>
-  <title>Menu simple</title>
-</head>
-
-<body>
-
-<h3>Menu simple</h3>
-<p>Menu simple vous permet d’afficher un menu limité à un seul niveau sur votre blog, si votre thème le supporte.</p>
-<dl>
-  <dt>Liste des items de menu</dt>
-  <dd>Ici sont affichés les items de votre menu. 
-  Vous pouvez les ordonner en déplaçant les lignes vers le haut ou vers le bas. Vous pouvez également modifier le libellé, la description et l’URL de chacun des items.
-  Une fois terminé, cliquez sur « Mettre à jour le menu ».</dd>
-    
-  <dt>Supprimer les items de menu sélectionnés</dt>
-  <dd>Vous permet de supprimer les items de menu que vous souhaitez en cochant les cases pour chacun d’eux.</dd>
-  
-  <dt>Ajouter un item de menu</dt>
-  <dd>Tout d’abord sélectionnez le type d’item que vous désirez, puis cliquez sur « Continuer… ». Ensuite, si nécessaire, vous pouvez avoir à précisez votre choix (catégorie, page, etc). Dans ce cas, faites-le et cliquez sur « Continuer… ». Enfin vous pouvez modifier les propositions qui vous sont faites pour le libellé, la description (facultative) et l’URL de l’item de menu. Une fois effectué cliquer sur « Ajouter cet item ».</dd>
-  <dd>
-    <ul>
-      <li><strong>Libelllé : </strong>Indiquez ici le libellé. Par exemple "Archives". Ce champs est obligatoire.</li>
-      <li><strong>Description : </strong>Indiquez ici une courte description pour cet item (sera affiché sous le libellé en fonction du thème sélectionné). Par exemple "Archives de 2004 à 2011".</li>
-      <li><strong>URL : </strong>Indiquez ici la destination. Ce champs est obligatoire.</li>
-	</ul>
-  </dd>
-
-</dl>
-</body>
-</html>
Index: plugins/simpleMenu/locales/fr/main.po
===================================================================
--- plugins/simpleMenu/locales/fr/main.po	(revision 552)
+++ 	(revision )
@@ -1,125 +1,0 @@
-msgid "Simple menu"
-msgstr "Menu simple"
-
-msgid "Simple menu for Dotclear"
-msgstr "Menu simple pour Dotclear"
-
-msgid "All months"
-msgstr "Tous les mois"
-
-msgid "Tags"
-msgstr "Mots-clés"
-
-msgid "User defined"
-msgstr "Saisie libre"
-
-msgid "Label"
-msgstr "Libellé"
-
-msgid "Description"
-msgstr "Description"
-
-msgid "URL"
-msgstr "URL"
-
-msgid "Recent posts"
-msgstr "Billets récents"
-
-msgid "Switch to %s language"
-msgstr "Basculer vers le %s"
-
-msgid "Recent Posts from this category"
-msgstr "Billets récents de cette catégorie"
-
-msgid "Archives"
-msgstr "Archives"
-
-msgid "Posts from %s"
-msgstr "Billets de %s"
-
-msgid "All tags"
-msgstr "Tous les mots clés"
-
-msgid "Recent posts for %s tag"
-msgstr "Billets récent pour le mot-clé %s"
-
-msgid "Label and URL of menu item are mandatory."
-msgstr "Les libellés et URL sont obligatoires."
-
-msgid "No menu items selected."
-msgstr "Aucun item de menu sélectionné."
-
-msgid "Label is mandatory."
-msgstr "Le libellé est obligatoire."
-
-msgid "URL is mandatory."
-msgstr "l’URL est obligatoire."
-
-msgid "Menu item has been successfully added."
-msgstr "L'item de menu a été ajouté avec succès."
-
-msgid "Menu items have been successfully removed."
-msgstr "Le ou les items de menu ont été supprimés avec succès."
-
-msgid "Menu items have been successfully updated."
-msgstr "Le ou les items de menu ont été mis à jour avec succès."
-
-msgid "Add item"
-msgstr "Ajouter un item de menu"
-
-msgid "Select type"
-msgstr "Sélection du type"
-
-msgid "Type of item menu:"
-msgstr "Type d'item de menu :"
-
-msgid "Continue…"
-msgstr "Continuer…"
-
-msgid "Select language:"
-msgstr "Sélectionnez la langue :"
-
-msgid "Select category:"
-msgstr "Sélectionnez la catégorie :"
-
-msgid "Select month (if necessary):"
-msgstr "Sélectionnez le mois (si nécessaire) :"
-
-msgid "Select page:"
-msgstr "Sélectionnez la page :"
-
-msgid "Select tag (if necessary):"
-msgstr "Sélectionnez le mot clé (si nécessaire) :"
-
-msgid "Label of item menu:"
-msgstr "Libellé de l'item de menu :"
-
-msgid "Description of item menu:"
-msgstr "Description de l'item de menu :"
-
-msgid "URL of item menu:"
-msgstr "URL de l'item de menu :"
-
-msgid "Add this item"
-msgstr "Ajouter cet item"
-
-msgid "Menu items list"
-msgstr "Liste des items de menu"
-
-msgid "position of %s"
-msgstr "position de %s"
-
-msgid "Currently no menu items"
-msgstr "Aucun item de menu pour l'instant"
-
-msgid "Add an item"
-msgstr "Ajouter un item de menu"
-
-msgid "Update menu"
-msgstr "Mettre à jour le menu"
-
-msgid "Delete selected menu items"
-msgstr "Supprimer les items de menu sélectionnés"
-
-msgid "Are you sure you want to remove selected menu items?"
-msgstr "Êtes-vous sûr de vouloir supprimer les items de menu sélectionnés ?"
Index: plugins/simpleMenu/locales/fr/resources.php
===================================================================
--- plugins/simpleMenu/locales/fr/resources.php	(revision 553)
+++ 	(revision )
@@ -1,18 +1,0 @@
-<?php
-# -- BEGIN LICENSE BLOCK ---------------------------------------
-#
-# This file is part of Dotclear 2.
-#
-# Copyright (c) 2003-2011 Olivier Meunier & Association Dotclear
-# Licensed under the GPL version 2.0 license.
-# See LICENSE file or
-# http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
-#
-# -- END LICENSE BLOCK -----------------------------------------
-
-if (!isset($__resources['help']['simpleMenu']))
-{
-	$__resources['help']['simpleMenu'] = dirname(__FILE__).'/help/help.html';
-}
-
-?>
Index: plugins/tags/tag_posts.php
===================================================================
--- plugins/tags/tag_posts.php	(revision 500)
+++ plugins/tags/tag_posts.php	(revision 561)
@@ -110,5 +110,5 @@
 
 <h2><?php echo html::escapeHTML($core->blog->name); ?> &rsaquo;
-<span class="page-title"><?php echo __('Edit tag'); ?></span></h2>
+<span class="page-title"><?php echo __('Edit tag').' &ldquo;'.html::escapeHTML($tag).'&rdquo;'; ?></span></h2>
 
 <?php
@@ -125,12 +125,24 @@
 		echo
 		'<form action="'.$this_url.'" method="post">'.
-		'<p><label for="new_tag_id" class="classic">'.__('Rename this tag:').' '.
+		'<div class="fieldset"><h3>'.__('Actions for this tag').'</h3>'.
+		'<p><label for="new_tag_id">'.__('Edit tag name: ').'</label>'.
 		form::field('new_tag_id',20,255,html::escapeHTML($tag)).
-		'</label> <input type="submit" value="'.__('Save').'" />'.
-		$core->formNonce().'</p>'.
+		'<input type="submit" value="'.__('Rename').'" />'.
+		$core->formNonce().
 		'</form>';
+		# Remove tag
+		if (!$posts->isEmpty() && $core->auth->check('contentadmin',$core->blog->id)) {
+			echo
+			'<form id="tag_delete" action="'.$this_url.'" method="post">'.
+			'<p class="no-margin">'.__('Delete this tag:').'</p>'.
+			'<input type="submit" class="delete" name="delete" value="'.__('Delete').'" />'.
+			$core->formNonce().
+			'</form>';
+		}
+		echo '</p></div>';
 	}
 	
 	# Show posts
+	echo '<h3>'.__('List of entries with this tag').'</h3>';
 	$post_list->display($page,$nb_per_page,
 	'<form action="posts_actions.php" method="post" id="form-entries">'.
@@ -150,13 +162,4 @@
 	'</div>'.
 	'</form>');
-	
-	# Remove tag
-	if (!$posts->isEmpty() && $core->auth->check('contentadmin',$core->blog->id)) {
-		echo
-		'<form id="tag_delete" action="'.$this_url.'" method="post">'.
-		'<p><input type="submit" class="delete" name="delete" value="'.__('Delete this tag').'" />'.
-		$core->formNonce().'</p>'.
-		'</form>';
-	}
 }
 ?>
Index: plugins/widgets/index.php
===================================================================
--- plugins/widgets/index.php	(revision 500)
+++ plugins/widgets/index.php	(revision 557)
@@ -187,5 +187,5 @@
 '</div>'.
 '</fieldset>'.
-'<p><input type="submit" class="js-remove" name="append" value="'.__('add widgets to sidebars').'" />'.
+'<p><input type="submit" class="js-remove" name="append" value="'.__('Add widgets to sidebars').'" />'.
 $core->formNonce().'</p>'.
 '</form>';
@@ -207,6 +207,6 @@
 '<p id="sidebarsControl">'.
 $core->formNonce().
-'<input type="submit" name="wup" value="'.__('update sidebars').'" /> '.
-'<input type="submit" class="reset" name="wreset" value="'.__('reset sidebars').'" /></p>'.
+'<input type="submit" name="wup" value="'.__('Update sidebars').'" /> '.
+'<input type="submit" class="reset" name="wreset" value="'.__('Reset sidebars').'" /></p>'.
 '</form>';
 
